import React from "react";
import { Link } from "react-router-dom";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import {
  loadSystemDateTime,
  loadSystemVersion,
  loadReleaseNotes
} from "../../features/system/actionCreators";

const HomePage = ({ actions }) => {
  const testButton = () => {
    actions.loadSystemDateTime();
    actions.loadSystemVersion();
    actions.loadReleaseNotes();
  };

  return (
    <div className="jumbotron">
      <h1>Reverse proxy</h1>
      <p>React, Redux and React Router for ultra-responsive web apps.</p>
      <Link to="about" className="btn btn-primary btn-lg">
        Learn more
      </Link>

      <button
        style={{ marginBottom: 20 }}
        className="btn btn-primary add-course"
        onClick={testButton}
      >
        Test
      </button>
    </div>
  );
};

function mapStateToProps(state) {
  return {};
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators(
      { loadSystemDateTime, loadSystemVersion, loadReleaseNotes },
      dispatch
    )
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(HomePage);
