import * as types from "./actionTypes";
import api from "./api";
import {
  beginApiCall,
  apiCallError
} from "../../redux/actions/apiStatusActions";

export function loadSystemDateTime() {
  return async function (dispatch) {
    dispatch(beginApiCall());
    try {
      const data = await api.getSystemDateTime();
      dispatch({ type: types.LOAD_SYSTEM_DATETIME_SUCCESS, payload: data });
    } catch (error) {
      dispatch(apiCallError(error));
      throw error;
    }
  };
}

export function loadSystemVersion() {
  return async function (dispatch) {
    dispatch(beginApiCall());
    try {
      const data = await api.getSystemVersion();
      dispatch({ type: types.LOAD_SYSTEM_VERSION_SUCCESS, payload: data });
    } catch (error) {
      dispatch(apiCallError(error));
      throw error;
    }
  };
}

export function loadReleaseNotes() {
  return async function (dispatch) {
    dispatch(beginApiCall());
    try {
      const data = await api.getReleaseNotes();
      dispatch({ type: types.LOAD_RELEASE_NOTES_SUCCESS, payload: data });
    } catch (error) {
      dispatch(apiCallError(error));
      throw error;
    }
  };
}
